var timeout = 100
gateTopics = ["wb-mio-gpio_176:1/K1", "wb-mio-gpio_176:1/K2", "wb-mio-gpio_176:1/K3", "wb-mio-gpio_176:1/K4"]
gateNames =  ["открыть ворота",       "закрыть ворота",       "SBS ворота",           "остановить ворота",]


defineRule("GateControl", { 
  whenChanged: gateTopics,
  then: function (newValue, devName, cellName) {
    var index = gateTopics.indexOf(devName + '/' + cellName);
    if (newValue == true) {
      dev[gateTopics[index]]=true;
      setTimeout(function (){
        dev[gateTopics[index]]=false;
      }, timeout);
      SendTelegramMsg('Нажата кнопка ' + gateNames[index] + ' в Образцово');
    }
  }
});