defineVirtualDevice("windows", { //создаём виртуальное устройство
    title: "windows", //имя вирт устройства
    cells: { 
        livingroom: {
            title: "Окно в гостиной",
            type: "text",
            value: ""         
        },
        cabinet: {
            title: "Окно в кабинете",
            type: "text",
            value: ""
        },
        kitchendoor: {
            title: "Дверь на кухне",
            type: "text",
            value: ""
        },
        kitchenwindow: {
            title: "Окно на кухне",
            type: "text",
            value: ""
        },
        corridor: {
            title: "Дверь в коридоре",
            type: "text",
            value: ""
        },
    }
});


// ------------------------------------Perimeter check--------------------------------------------

// массив окон и дверей и их имена
windows =      ["wb-gpio/EXT1_IN1", "wb-gpio/EXT1_IN2", "wb-gpio/EXT1_IN3", "wb-gpio/EXT1_IN4", "wb-gpio/EXT1_IN5"]
windowNames =  ["окно на кухне",    "окно в кабинете",  "окно в гостиной",  "дверь на кухне",   "дверь в коридоре"]
windowCells =  ["kitchenwindow",    "cabinet",          "livingroom",       "kitchendoor",      "corridor"]


// Rule to send message if motion detected
defineRule("PerimeterCheck", { 
  whenChanged: windows,
  then: function (newValue, devName, cellName) {
    var index = windows.indexOf(devName + '/' + cellName);
    if (newValue == true) {
        dev['windows/' + windowCells[index]] = "закрыто"
    }
    else{
        dev['windows/' + windowCells[index]] = "открыто"
    }

    SendTelegramMsg('В Образцово ' + windowNames[index] + ' ' + dev['windows/' + windowCells[index]]);

  }
});